# Generated automatically from Makefile.in by configure.
#

# ./Make.common.in	 -*- Makefile -*-

DATE="20 APRIL 1999"#
MAJORVERSION=1#
MINORVERSION=50#
VERSION=$(MAJORVERSION).$(MINORVERSION)#
VERNAME=EZWGL-$(VERSION)#
srcdir = .
SHELL = /bin/sh

# Installation target directories 
prefix = /usr/X11R6
exec_prefix = ${prefix}
binprefix = /usr/X11R6/bin
manprefix = /usr/X11R6/man
destbindir= ${exec_prefix}/bin
destincludedir= /usr/X11R6/include
destlibdir= /usr/X11R6/lib
destmandir= ${prefix}/man/man1
manext = 1

# Tools & program stuff
CC = cc 
CPP = cc -E
RM = rm
RMF = rm -f
CP = cp
AR = ar
LN = ln
RANLIB = ranlib
INSTALL = /usr/bin/install -c -o root -g wheel
INSTALL_PROGRAM = install  -s -o root -g wheel -m 555
INSTALL_DATA = install  -o root -g wheel -m 444
CFLAGS = -O2 -fno-strict-aliasing -pipe 
CPPFLAGS = -I/usr/local/include 
LDFLAGS = 
DEFS = -DHAVE_CONFIG_H
LIBS =  -ljpeg -ltiff -lpng -lz -L/usr/local/lib -lm
LINC = -I. -I./../ -I./../../
XINC =  -I/usr/X11R6/include 
XLIB = -lXext  -L/usr/X11R6/lib -lX11  -lSM -lICE -lX11 

# End of Make.common


EXAMPLES= setroot transparent
#----------------------------------------------------------------------------------

all: $(EXAMPLES)

strip:
	strip $(EXAMPLES)

clean realclean:
	- $(RM)  $(EXAMPLES)

mrproper: clean
	- $(RMF) Makefile

.c.o:
	$(CC) $(LINC) -I../../include $(XINC) $(CFLAGS) -c $<

.o:
	$(CC) $(LINC) -I../../include $(XINC) $(CFLAGS)  $< -o $@ -L../../lib -lEZ $(XLIB) $(LIBS)

.c:
	$(CC) $(LINC) -I../../include $(XINC) $(CFLAGS)  $< -o $@ -L../../lib -lEZ $(XLIB) $(LIBS)


#----------------------------------------------------------------------------------



